Code injection in IBM UrbanCode Release



Published: 2023-01-25
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-45143
CWE-ID CWE-94
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
IBM UrbanCode Release
Server applications / Other server solutions

Vendor IBM Corporation

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Code Injection

EUVDB-ID: #VU70666

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-45143

CWE-ID: CWE-94 - Improper Control of Generation of Code ('Code Injection')

Exploit availability: No

Description

The vulnerability allows a remote attacker to manipulate server output.

The vulnerability exists due to improper input validation within the JsonErrorReportValve when handling type, message or description values. A remote attacker can send a specially crafted request and manipulate or invalidate JSON output.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install update from vendor's website.

Vulnerable software versions

IBM UrbanCode Release: 6.2.5.0 - 6.2.5.7


CPE2.3 External links

http://www.ibm.com/support/pages/node/6856721

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###